Subject: [NSIS] NOTIFY after tearing down the state?

From: "Markus Ott" <[email-masked]>
Date: Wed, 14 Dec 2005 10:11:27 -0500

Hi all,
 my name is Markus Ott and I am implementing QoS NSLP at university of Karlsruhe(with help of Roland Bless).
 I have almost finished my implementation. Now I am integrating NOTIFY messages in my implementation. I found a part in the internet draft that is not clear to me. Could anyone say what exactly meant there? 
 
 In 3.1.2.  Protocol messages:
 
 ....
 NOTIFY:  NOTIFY messages are used to convey information to a QNE.
      They differ from RESPONSE messages in that they are sent
      asynchronously and need not refer to any particular state or
      previously received message.  The information conveyed by a NOTIFY
      message is typically related to error conditions.  Examples would
      be notification to an upstream peer about state being torn down or
      to indicate when a reservation has been pre-empted.
....
The sentence "Examples would be notification to an upstream peer about state being torn down or..." is not clear to me. 
Take for instance following example:

                 /-\     /-\
              /--|B|-----|E|---\               
             /   \-/     \-/    \               
          /-\                    /-\            
      ----|A|                    |D|--------
          \-/                    \-/            
             \   /-\            /               
              \--|C|-----------/               
                 \-/
     
All the nodes are QNEs. The flow is going from A to D. The old flow was going through A-B-E-D. Then because of rerouting the new flow is going now through A-C-D. The A sends a RESERVE with the TEAR_DOWN bit set to B. B tears down its state and forwards the RESERVE with TEAR_DOWN bit set to E. If the node B notifies node A with NOTIFY message about its state being torn down - there will be no problem. But if the next node E after tearing down its state will send a NOTIFY message to B, then what will happen? Will the node B just forward this message because it will not find the appropriate SESSION_ID or just drop it? If it will just drop it, then there is no sense to send this NOTIFY message at all. If the node B will forward this message to A, then what can A do with this NOTIFY message? There can be 10-20 nodes between A and D on the old path. What will node A do in this case with 10-20 NOTIFY messages?

What other cases of tearing down the state could be there, after that a NOTIFY message could be sent? I think soft state expiration is other issue.

Just one more question: how far are NOTIFY messages being forwarded? One hop or till QNI?

Regards,

Markus Ott.

-- 
___________________________________________________
Play 100s of games for FREE! http://games.mail.com/

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis